/* 70-762 Lesson 14 Lab 5 - Using Performance Counters to Provide IO Information */


-->>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
--The following displays all the performance counters
SELECT object_name, 
	counter_name AS 'Counter Name', 
	instance_name AS 'Instance Name', 
	cntr_value AS 'Counter Value', 
	cntr_type AS 'Counter Type'  
FROM sys.dm_os_performance_counters;
GO

--The following displays information regarding IO performance
SELECT object_name, 
	counter_name AS 'Counter Name', 
	--instance_name AS 'Instance Name', 
	cntr_value AS 'Counter Value', 
	cntr_type AS 'Counter Type'  
FROM sys.dm_os_performance_counters
WHERE OBJECT_NAME = 'MSSQL$MSSQLSERVER01:Buffer Manager' --modify with server object name
	AND counter_name IN
	('Buffer cache hit ratio', 'Page lookups/sec', 'Page reads/sec', 'Page writes/sec');
GO

-->>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>.
