/*  70-762 Lesson 1 Inline Code */

/* 
Extended Event Session to capture
completed sql statements using SELECT 
and HAVING
Event file is stored in file on
local server
*/

CREATE EVENT SESSION [Wednesday] ON SERVER 
ADD EVENT sqlserver.sql_statement_completed(
    WHERE ([sqlserver].[like_i_sql_unicode_string]([sqlserver].[sql_text],N'%SELECT%HAVING%')))
ADD TARGET package0.event_file(SET filename=N'c:\New Folder\Wednesday_event_file.xel',
  max_file_size=(1),max_rollover_files=(2))
WITH (MAX_MEMORY=2048 KB,EVENT_RETENTION_MODE=ALLOW_MULTIPLE_EVENT_LOSS,
  MAX_DISPATCH_LATENCY=3 SECONDS,MAX_EVENT_SIZE=0 KB,MEMORY_PARTITION_MODE=NONE,
  TRACK_CAUSALITY=OFF,STARTUP_STATE=OFF)
GO


